import type { Props } from './type';
declare const fit: import("vue").Ref<"fill" | "none" | "contain" | "cover" | "scale-down" | undefined, "fill" | "none" | "contain" | "cover" | "scale-down" | undefined>, loadingText: string | import("vue").Ref<string | undefined, string | undefined>, loading: boolean | import("vue").Ref<boolean, boolean>, error: boolean | import("vue").Ref<boolean, boolean>, errorText: string | import("vue").Ref<string | undefined, string | undefined>;
declare const video: import("vue").Ref<HTMLVideoElement | null, HTMLVideoElement | null>;
declare const loadingSpinner: import("vue").Ref<string, string>;
declare const loadingBackground: import("vue").Ref<string, string>;
declare const handleErrorClick: () => void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_1: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    error?: (props: typeof __VLS_1) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    fit: typeof fit;
    loadingText: typeof loadingText;
    loading: typeof loading;
    error: typeof error;
    errorText: typeof errorText;
    video: typeof video;
    loadingSpinner: typeof loadingSpinner;
    loadingBackground: typeof loadingBackground;
    handleErrorClick: typeof handleErrorClick;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    loaded: (player: any) => any;
    errorClick: () => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onLoaded?: ((player: any) => any) | undefined;
    onErrorClick?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {
    video: import("vue").Ref<HTMLVideoElement | null, HTMLVideoElement | null>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    loaded: (player: any) => any;
    errorClick: () => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onLoaded?: ((player: any) => any) | undefined;
    onErrorClick?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
